Subject: Re: clean_setup.pl binary-only cache patch
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked], DJ Delorie <[email-masked]>
Date: Fri, 3 Jan 2003 12:12:11 -0500

On Fri, Jan 03, 2003 at 11:46:11AM -0500, Jason Tishler wrote:
>On Fri, Jan 03, 2003 at 10:25:02AM -0500, Christopher Faylor wrote:
>> On Fri, Jan 03, 2003 at 09:19:27AM -0500, Jason Tishler wrote:
>> >The attached patch enables clean_setup.pl to handle binary-only
>> >caches/mirrors.  Specifically, when no "source:" tags are in the
>> >setup.ini file.
>> >[snip]
>> 
>> Wouldn't such a mirror be in violation of the GPL?
>
>Hmm...good point.  OK, I will fess up.  I have such a mirror that is
>only for the convenience of my co-workers and myself.  It is not
>distributed outside of our company.  Note that I was just trying to save
>bandwidth and disk space.
>
>If this is considered a GPL violation (and in hindsight, it probably
>is), then I will update my script to download the source too.

Hmm.  I'm not sure that this is a GPL violation.  I seem to recall
something about intra-company stuff like this being ok.  I'm Cc'ing
DJ since he is my resident expert on GPL issues.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/